Subject: Night Blooming Cirrus

From: [email-masked] (JMB)
Date: 5 Nov 1995 03:04:42 GMT

Can a night blooming cirrus be pruned back at this time of year?  I have 
a 16 year old plant that bloomed last year for the first time, then again 
this year.  It has very long stems and is hard to manage.  Any 
suggestions?